stages:
  - prepare
#
# BASE CONTAINER BUILD
#
.prepare:
  image: docker:latest
  stage: prepare
  tags:
    - x86_64
  services:
    - name: docker:dind
      command: ["--experimental"]
  variables:
    BUILDX_VERSION: "v0.4.2"
    DOCKER_BUILDKIT: 1
    MODEL: ""
  before_script:
    - apk add --update curl bash && rm -rf /var/cache/apk/*
    - curl -sSLo docker-buildx "https://github.com/docker/buildx/releases/download/${BUILDX_VERSION}/buildx-${BUILDX_VERSION}.linux-amd64"
    - chmod a+x docker-buildx
    - mkdir -p ~/.docker/cli-plugins
    - mv docker-buildx ~/.docker/cli-plugins/docker-buildx
    - docker buildx install
    - docker login -u gitlab-ci-token -p "${CI_JOB_TOKEN}" "${CI_REGISTRY}"
    - docker buildx create --use --name mybuilder
  script:
    - cd ${CI_PROJECT_DIR} && ./scripts/build

prepare-icosa:
  extends: .prepare

#prepare-tx1:
#  extends: .prepare
#  variables:
#    MODEL: "tx1"

#prepare-xavier:
#  extends: .prepare
#  variables:
#    MODEL: "xavier"
